Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 21:24:51 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Hi Gents ,
   I want to complaint about one of your courier delivery boy his behavior was unacceptable also he was not following Covid-19 safety precautions. Below is the elabroratation 

My complaint is about courier delivery guy named LIAQAT and his mobile number is +966 59 815 6028 . One time he bought me a shipment so i sent my son to collect the parcel, instantaneously he started misbehaving with my son and scolded him to come out with in 2 minutes or else he will leave without delivering also he intimated my son that he is not his servant out of nowhere and kept misbehaving. He aswell didnt had money change while he sent my son to look for change, after few seconds I received his call again stating either you bring change or he will cancel the order. Please tell me in which delivery company the customer is responsible for change. He didnt stopped over here, i ordered again from your website and the exact same delivery guy came to deliver and once again his behavior was extremely rude, unacceptable as well as intimidating. He again yelled at me, kept arguing and misbehaving with his rude behavior and yelling tone.

I ignored for the first time but always i can’t tolerate.

This behavior for such a respectable company like of yours is not good at all for your good image that is built in our minds. Its toltally unethical and unacceptable.

Please look into this mater also find videos attachted of that delivery guy.

RGDS https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2431620